/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.bausteine.ungeeignete;

import net.n3.nanoxml.IXMLElement;
import de.bernhardjung.dsaprogramm.basis.Held;
import de.bernhardjung.dsaprogramm.vornachteile.VorNachteil;

public interface UngeeigneterVorNachteil extends Comparable< UngeeigneterVorNachteil > {

    /**
     * @return Der Vor-/Nachteil der evtl. als ungeeignet gilt. */
    public VorNachteil getVorNachteil();

    /**
     * Prueft ob der Vor-/Nachteil fuer den Helden als ungeeignet gilt.
     *
     * @param held
     *            der den Vor-/Nachteil waehlen soll.
     * @return {@code true}, wenn der Vor-/Nachteil fuer den Helden ungeeignet
     *         ist, sonst {@code false}.
     */
    public boolean istUngeeignetFuer( final Held held );

    /**
     * @return die XML-Repraesentation des Elements.
     */
    public IXMLElement toXml();
}
