package de.bernhardjung.dsaprogramm.gui;

import com.jgoodies.forms.builder.DefaultFormBuilder;
import com.jgoodies.forms.layout.FormLayout;
import de.bernhardjung.dsaprogramm.basis.Eigenschaftsprobe;
import de.bernhardjung.dsaprogramm.eigenschaften.Eigenschaft;

import javax.swing.*;

/**
 * Drei Comboboxen nebeneinander, die dazu gedacht sind die Eigenschaften
 * einer Probe zu waehlen.
 */
public class PanelEigenschaftsprobe extends JPanel {

    private final ComboBoxEigenschaften eigenschaft1;

    private final ComboBoxEigenschaften eigenschaft2;

    private final ComboBoxEigenschaften eigenschaft3;

    public PanelEigenschaftsprobe() {

        eigenschaft1 = new ComboBoxEigenschaften();
        eigenschaft2 = new ComboBoxEigenschaften();
        eigenschaft3 = new ComboBoxEigenschaften();

        FormLayout layout = new FormLayout( "P, 2dlu, P, 2dlu, P" );
        DefaultFormBuilder builder = new DefaultFormBuilder( layout, this );
        builder.append( eigenschaft1 );
        builder.append( eigenschaft2 );
        builder.append( eigenschaft3 );
    }

    public Eigenschaftsprobe getProbe() {

        Eigenschaft e1 = eigenschaft1.getGewaehlteEigenschaft();
        Eigenschaft e2 = eigenschaft2.getGewaehlteEigenschaft();
        Eigenschaft e3 = eigenschaft3.getGewaehlteEigenschaft();

        return new Eigenschaftsprobe( e1, e2, e3 );
    }
}
