/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bernhardjung.dsaprogramm.gui;

import java.awt.LayoutManager;

import javax.swing.JPanel;

import de.bernhardjung.dsaprogramm.util.Resetbar;
import de.bernhardjung.dsaprogramm.util.Resetter;

public abstract class ResetbaresPanel extends JPanel implements Resetbar {
    
    protected final Resetter resetter;
    
    public ResetbaresPanel() {
        
        super();
        
        resetter = new Resetter();
    }
    
    public ResetbaresPanel( final LayoutManager layoutManager ) {
        
        super( layoutManager );
        
        resetter = new Resetter();
    }
    
    /**
     * Wird aufgerufen, bevor ein Panel erneut angzeigt wird.
     * Versetzt das Panel wieder in seinen Anfangszustand. 
     * Wenn es z.B. aus einer Tabbedpane besteht sogt die Methode dafuer, dass
     * das erste Tab angzeigt wird. Wenn es eine Scroll Pane gibt, wird diese
     * nach links oben gescrollt.
     */
    public void reset() {
        
        resetter.reset();
    }
}
