/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.gui.action;

import de.bernhardjung.dsaprogramm.gui.DialogInfo;
import de.bernhardjung.dsaprogramm.gui.Hauptpanel;

public class ActionInfo extends CharGenAction  {

    /** Der Dialog den die Action anzeigt. */
    private DialogInfo dialogInfo;

    public ActionInfo( final Hauptpanel dasHauptpanel ) {

        super( dasHauptpanel, "ActionInfo.Name", "info" );

        neuUebersetzen();
    }

    /**
     * Zeigt den Info-Dialog an.
     *
     * @param e ungenutzt.
     */
    protected void actionPerformed() {

        getDialogInfo().setVisible( ! getDialogInfo().isVisible() );
    }

    public DialogInfo getDialogInfo() {

        if ( dialogInfo == null) {
             
            dialogInfo = new DialogInfo( hauptpanel.getHauptfenster() );
            
            dialogInfo.setLocationRelativeTo( hauptpanel );
        }

        return dialogInfo;
    }
    
    @Override
    public void neuUebersetzen() {
        
        super.neuUebersetzen();
        
        if ( null != dialogInfo ) {
            
            dialogInfo.neuUebersetzen();
        }
    }
}
