/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bernhardjung.dsaprogramm.gui.bonus;

import java.awt.BorderLayout;
import java.util.List;

import javax.swing.JSplitPane;

import de.bernhardjung.dsaprogramm.gui.ResetbaresPanel;
import de.bernhardjung.dsaprogramm.util.Uebersetzbar;

public class PanelBonusAnzeige extends ResetbaresPanel implements Uebersetzbar {

    private final PanelOffeneBoni offeneBoni;
    
    private final JSplitPane splitPane;
    
    public PanelBonusAnzeige() {
       
        offeneBoni = new PanelOffeneBoni();
        
        splitPane = new JSplitPane();
        
        splitPane.setLeftComponent( offeneBoni );
        
        setLayout( new BorderLayout() );
        
        add( splitPane, BorderLayout.CENTER );
    }
    
    public final void anzeigen( final PanelBonus panel ) {
        
        splitPane.setRightComponent( panel );
    }
    
    public final void neuUebersetzen() {
        
        offeneBoni.neuUebersetzen();
    }
    
    public final void setOffeneBoni( final List< Object > boni ) {
        
        offeneBoni.setBoni( boni );
    }
}
