package de.bernhardjung.dsaprogramm.sonderfertigkeiten.kosten;

import de.bernhardjung.dsaprogramm.basis.Held;
import de.bernhardjung.dsaprogramm.sonderfertigkeiten.Sonderfertigkeit;
import de.bernhardjung.dsaprogramm.sonderfertigkeiten.SonderfertigkeitWert;

import java.util.Collection;
import java.util.Collections;

/**
 * Wird fuer einen Benutzerdefinierte Sonderfertigkeit verwendet.
 * Diese Klasse liest die Kosten entsprechend aus der Variante der
 * Sonderfertigkeite aus.
 */
public class KostenVariante extends KostenAbstrakt {

    /** {@inheritDoc} */
    public Collection< Object > getAbhaengigkeiten() {
        return Collections.EMPTY_LIST;
    }

    /** {@inheritDoc} */
    public int getApKosten( Sonderfertigkeit sonderfertigkeit ) {
        return 0;
    }

    /** {@inheritDoc} */
    public int getApKosten( SonderfertigkeitWert wert ) {
        return wert.getVariante().getApKosten();
    }

    /** {@inheritDoc} */
    public int getApKosten( Held held, SonderfertigkeitWert wert ) {
        return getApKosten( wert );
    }
}
