/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bernhardjung.dsaprogramm.util;

import javax.swing.JLabel;

import de.bernhardjung.dsaprogramm.i18n.I18n;

class UebersetzerLabel implements Uebersetzbar {

    /** Das Label das uebersetzt werden soll. */
    private final JLabel label;
    
    /** 
     * Der Schluessel mit dem der lokalisierte Text fuer das Label geladen wird. 
     */
    private final String l10nschluessel;
    
    public UebersetzerLabel( 
            final JLabel dasLabel, 
            final String derL10nschluessel ) {
        
        label = dasLabel;
        
        l10nschluessel = derL10nschluessel;
        
        neuUebersetzen();
    }
    
    /**
     * Uebersetzt das Label neu.
     */
    public void neuUebersetzen() {
        
        label.setText( I18n.i18n( l10nschluessel ) );
    }

}
